#### D.15.4.25 difformIsHomogDeg

Procedure from library `difform.lib` (see difform_lib).

Usage:
  difformIsHomogDeg(df,p); df difform, p int

Return:
  1, if df is homogeneous of degree p - 0, otherwise

Note:
  - 0 is homogeneous of degree -1

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    difform df = 3*dx*dz - x8*dx*dy;
    difform dg = 3 + x8*dy;
    difform dh = 2;
    difform dt = 0;
    /////////////////////////////////
    // Homogeneous of given degree //
    /////////////////////////////////
    difformIsHomogDeg(df,2);
    ==> 0
    difformIsHomogDeg(dh,0);
    ==> 1
    difformIsHomogDeg(dt,-1);
    ==> 1
    /////////////////////////////////////
    // Not homogeneous of given degree //
    /////////////////////////////////////
    difformIsHomogDeg(df,1);
    ==> 0
    difformIsHomogDeg(dg,1);
    ==> 0
    difformIsHomogDeg(dh,1);
    ==> 0
    kill Omega_R,df,dg,dh,dt,dx,dy,dz;

See also: difformDeg; difformIsHomog.

User manual for Singular version 4.4.1, 2025, generated by texi2html.